# Activities analytics queries

This API gives you programmatic access to user activities as a data cube. You get metrics with dimensions, filters, and within date ranges leveraging the [Activity analytics](/data-streams/data-ingestion/activities-analytics.md) part of our multi-model database.

![](/files/kZeCRU7t1moe3QZis7m9)

With the activities analytics API, you can create reports to answer questions like: &#x20;

* **Number of active users.** The metric is `users` and it has no dimensions or filter.
* **Number of active users per channel per day.** The metric is `users`, grouped by `channel_id` and `date_yyyymmdd` dimensions, without filters.
* **Number of sessions per day for users who had an activity of type AD\_VIEW on campaign 666.** The metric is `sessions`, grouped by the `date_yyyymmdd` dimension with filter clauses  `activity_type = AD_VIEW` and `origin_campaign_id = 666` &#x20;
* **Days with more than 200k transactions on a specific channel**. The metric is `number_of_transactions`, grouped ty the `date_yyyymmdd` dimension with filter clauses on `channel_id = 666`. Then a filter is applied on the calculated metric to only keep days with more than 200k transactions.

It can also be used to build custom dashboards. For more information, see [Dashboards](/dashboards.md).

{% hint style="info" %}

* Maximum recommended **5 queries per second.**
* Response time around **1 second**.
* Results date range for the **4 latest months**.
  {% endhint %}

## Quick start guide

Calling the API to get your first metrics is easy with your favorite tool that you already use to query other mediarithmics endpoints. See the [API Quickstart](/querying-your-data/activities-analytics-queries/api-quickstart.md) guide to get started. &#x20;

## Available endpoints

* [`user_activities_analytics`](/resources/data-cubes/reference.md#user_activities_analytics-endpoint) returns a customized report of your activities analytics data.

## Supported dimensions and metrics

See [Dimensions en metrics](/querying-your-data/activities-analytics-queries/dimensions-and-metrics.md) for the complete list of supported dimensions and metrics.

## How data cubes work

This endpoint is a mediarithmics [Data cube](/resources/data-cubes.md). You can find documentation on how data cubes work and which data cubes are available in the specific documentation section.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.mediarithmics.io/querying-your-data/activities-analytics-queries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
